using Microsoft.AspNetCore.Identity;
using System.ComponentModel.DataAnnotations;

namespace ConstructorApp.EntityLayer.Entities
{
    public class AppUser : IdentityUser<int>
    {
        [StringLength(50)]
        public string? FirstName { get; set; }
        [StringLength(50)]
        public string? LastName { get; set; }
        [StringLength(100)]
        public string? ImageUrl { get; set; } // Zorunlu olmayan alan
        public int ConfirmCode { get; set; }

    }
}

